GET
/
api
/
v1
/
swaps
/
quotes
Fetch swap quote
curl --request GET \
  --url https://secureapi.dyrectpay.com/api/v1/swaps/quotes \
  --header 'x-api-key: <api-key>' \
  --header 'x-signature: <api-key>' \
  --header 'x-timestamp: <api-key>'
{
  "status": "success",
  "message": "Success",
  "data": {
    "quotedPrice": "0.000013049890285960344",
    "originalQuotedPrice": "0.000012946319728135260642112",
    "fee": "1.0357055782508209e-7",
    "quotedCurrency": "BTC",
    "toAmount": "0.00012842432",
    "originalToAmount": "0.00012946"
  }
}

Authorizations

x-api-key
string
header
required

API key issued to your integration.

x-timestamp
string
header
required

Request timestamp used for signature verification.

x-signature
string
header
required

Request signature generated by your backend.

Query Parameters

from
string
required
Example:

"usdt"

to
string
required
Example:

"bitcoin"

amount
number
Example:

10

Response

Successful response.

status
string
Example:

"success"

message
string
Example:

"success"

data
any | null

Endpoint-specific response payload.